/* -*- ObjC -*- */
#ifndef __included_gui_clip_h
#define __included_gui_clip_h

#define set_clip_wh(b,x,y,w,h)		set_clip(b, x, y, x+w-1, y+h-1)

struct BITMAP;

typedef struct
{
    int clip;
    int cl, cr, ct, cb;
} clip_t;

void save_clip(BITMAP *bmp, clip_t *clip);
void restore_clip(BITMAP *bmp, clip_t *clip);

#endif
